
Redmine - Feature #2074

Sending email notifications when comments are added in the news section

2008-10-23 10:00 - Yoshi Okamoto

Status: Closed Start date: 2008-10-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

It would be nice to have an option to send email updates, not just when news messages are posted but also when comments are

added.

(Just like reply comments to any forum messages can be optionally notified by email.)

Related issues:

Has duplicate Redmine - Feature #2774: Event when comment is posted for a NEWS Closed 2009-02-18

Has duplicate Redmine - Feature #6916: Add mail notification for added commen... Closed 2010-11-16

Has duplicate Redmine - Feature #7049: Email notifications when comment on ne... Closed 2010-12-05

Associated revisions

Revision 5003 - 2011-03-04 15:32 - Jean-Philippe Lang

Adds email notifications support for news comments (#2074).

History

#1 - 2008-10-23 11:24 - Karl Heinz Marbaise

Hi there,

you can activate that in Adminstration -> Settings there you have the chance to activate a checkbox:

Select actions for which email notifications should be sent.   

Issue added

Issue updated

News added

Document added

File added

Message added

Or did you mean something different?

Kind Regards

Karl Heinz Marbaise

#2 - 2008-10-23 12:31 - Yoshi Okamoto

Hi Karl,

Thanks for the super quick response.

All boxes are checked, but email notifications aren't sent when comments are added to news tickets.  I'm filing this because I'm not sure if it is a bug

or a feature that hasn't been implemented.

-Yoshi

#3 - 2008-11-28 11:37 - Ian Fieldhouse

I'm also not being notified of any comments made on news items. As with Yoshi, all the checkboxes are ticked in my install. It's not a dealbreaker, but

it would be a nice feature to have.

#4 - 2009-01-02 14:21 - Assem Bayahi

Karl Heinz Marbaise wrote:

Hi there,

you can activate that in Adminstration -> Settings there you have the chance to activate a checkbox:

[...]
Or did you mean something different?

Kind Regards

Karl Heinz Marbaise

 Is it possible to change the actions shown in the "Email notifications setting"; remove an action or add another one ? And if possible, how (I am new

with Redmine)?

Thanks,

#5 - 2009-03-10 22:26 - Powen Shiah

Any update on the likelihood of this feature?

We're trying to make more use of the News feature internally, and it'd be very helpful to receive notifications when someone has commented on news

ticket I've posted, or responded to a comment I've made on a news item.

#6 - 2009-03-11 19:01 - Omar Ramos

This was something I thought was built-in as well...I just started using Redmine here for a new project at the college where I need to work with staff

from the different divisions and one of the first things that they tried to do was comment on the news item I wrote, which was a summary of our

meeting from last week. Luckily I noticed that a comment was made and was able to reply to it, but I did not receive any notice in my inbox that a

comment was made.

After turning on all of the available notifications in Redmine's settings area, I am still not receiving any comment notifications and after reading this

issue it does not seem like something that is currently implemented, but it sure would be useful :-).

#7 - 2010-11-01 20:38 - Jeff Geurts

Has there been any work done on this yet? It still appears to be a missing feature (or is it just broken)?

#8 - 2010-11-16 21:25 - Jean-Philippe Lang

- Subject changed from Sending email updates when comments are added in the news section to Sending email notifications when comments are

added in the news section

- Category set to Email notifications

#9 - 2011-03-02 18:38 - Terence Mill

We even don't get emails if a new News message is commited. Nice to have that for comments on them also, but what is worng with our setup?

Checkbox mail on "News added" in Administartion Config is set.

#10 - 2011-03-04 10:11 - Jean-Philippe Lang

- Target version set to Candidate for next major release

#11 - 2011-03-04 15:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 1.2.0

- Resolution set to Fixed

Support for mail notifications on news comments added in r5003.

It must be enabled in Application settings -> Mail notification.

#12 - 2011-03-04 19:32 - Terence Mill

Is there any way to ne notified about news, without enabling notification for all changes in project?

For us the usal use  case is, that someone want to select if ya wanna get notfied for changes in every separate content type. Means:

issues changes itself (all changes on field of ticket itself)

yournal changes on issues, aka comments

documents

files

wiki

wiki comments

board threads

Roadmap changes (issue added or removed from version, fields on version changed, version added)

changesets (news added or chnaged)

comments on news

Notification dekivery immidiately, daily, weekly. Configure many sets as pair of content type and delivery period, eg. issue changes immidiately, 
roadmap and news changes weekly.
